Namespace Storage.FileSystem

    Module FileSize

        Public Function GetSize(ByVal sizeinbytes As Long) As String
            Return CStr(GetFileSize(sizeinbytes))
        End Function

        Private Function SizeInKB(ByVal bytess As Long) As Double
            SizeInKB = Math.Round(bytess / 1024, 2)
        End Function

        Private Function SizeInMB(ByVal bytess As Long) As Double
            SizeInMB = Math.Round(bytess / (1024 * 1024), 2)
        End Function

        Private Function SizeInGB(ByVal bytess As Long) As Double
            SizeInGB = Math.Round(bytess / (1024 * 1024 * 1024), 2)
        End Function

        Private Function GetFileSize(ByVal bytess As Long) As String
            GetFileSize = ""
            If bytess < 1024 Then
                GetFileSize = Str(bytess) & " Bytes"
            ElseIf bytess < 1048576 Then
                GetFileSize = Str(SizeInKB(bytess)) & " KB"
            ElseIf bytess < 1073741824 Then
                GetFileSize = Str(SizeInMB(bytess)) & " MB"
            ElseIf bytess < 1099511627776 Then
                GetFileSize = Str(SizeInGB(bytess)) & " GB"
            End If
        End Function

    End Module

End Namespace