﻿Namespace UI.Controls

    Public Class BackupSchedule

        Private IsExpanded As Boolean = False
        Private ExpandHeight As Integer = 200
        Public Event OnShowHistory()

        Private Sub PictureBoxExpand_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PictureBoxExpand.Click
            If IsExpanded Then
                Me.Height = Me.Height - ExpandHeight
                IsExpanded = False
                Me.PictureBoxExpand.Image = My.Resources.expandDown
            Else
                Me.Height = Me.Height + ExpandHeight
                IsExpanded = True
                Me.PictureBoxExpand.Image = My.Resources.expandUp
            End If
            GroupBoxSchedule.Visible = IsExpanded
        End Sub

        Private Sub ButtonHistory_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonHistory.Click
            RaiseEvent OnShowHistory()
        End Sub

        Private Sub ButtonRestore_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonRestore.Click
            UI.Wizard.RestoreWizard.ShowDialog()
        End Sub

        Private Sub ButtonModify_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ButtonModify.Click
            UI.Wizard.BackupWizard.ShowDialog()
        End Sub

        Private Sub ButtonDelete_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ButtonDelete.Click
            MessageBox.Show("Do you really want to delete?", "Delete Backup Job", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation)
        End Sub
    End Class

End Namespace