﻿Namespace UI.StorageAccount

    Public Class CreateAmazonS3

        Private Sub BackupWizard_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            'Initialize Title
            Me.Text = UI.Base.Common.TitleBackupWizardDialog
            Me.RibbonFormCreate.Text = UI.Base.Common.TitleCreateAmazonS3Dialog
            Me.PictureBoxLogo.Image = Global.IBackupCloud.My.Resources.Resources.amazon_s3_icon48

            Me.ComboBoxPrefix.Items.Add(My.Computer.Name)
            Me.ComboBoxPrefix.SelectedIndex = 0

            Me.ComboBoxBucket.SelectedIndex = 0
        End Sub

        Private Sub ButtonCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonCancel.Click
            Me.Close()
        End Sub

        Private Sub ButtonCreate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonCreate.Click
            UI.Base.Common.LaunchAmazonS3Website()
        End Sub

        Private Sub ComboBoxBucket_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBoxBucket.Enter
            If ComboBoxBucket.SelectedIndex = 0 Then
                ComboBoxBucket.Text = ""
            End If
        End Sub
    End Class

End Namespace