﻿Namespace Storage.AmazonS3

    Public Class Account
        Implements Storage.Base.IStorageAccount

        Private _Name As String
        Private _FullName As String

        Public Property FullName As String Implements Base.IStorageAccount.FullName
            Get
                Return _FullName
            End Get
            Set(ByVal value As String)
                _FullName = value
            End Set
        End Property

        Public Property Name As String Implements Base.IStorageAccount.Name
            Get
                Return _Name
            End Get
            Set(ByVal value As String)
                _Name = value
            End Set
        End Property

        Public Sub New(ByVal name As String, ByVal fullName As String)
            Me.Name = name
            Me.FullName = fullName
        End Sub

        Public Shared Function GetAccounts() As System.Collections.Generic.List(Of Base.IStorageAccount)

            Dim storageAccount As Base.IStorageAccount
            GetAccounts = New System.Collections.Generic.List(Of Base.IStorageAccount)
            storageAccount = New AmazonS3.Account("nazim", "nazim")
            GetAccounts.Add(storageAccount)

        End Function

    End Class

End Namespace