﻿Namespace UI.Base

    Public Class BaseDialogForm
        Inherits System.Windows.Forms.Form

        Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
            Me.Icon = My.Resources.IBackupCloud
            For Each controlItem As Control In Me.Controls
                If controlItem.GetType Is GetType(PureComponents.ActionSet.RibbonUI.RibbonForm) Then
                    UI.Base.Common.SetApplicationIcon(controlItem)
                End If
            Next
            Me.StartPosition = FormStartPosition.CenterParent
            MyBase.OnLoad(e)
        End Sub

    End Class

End Namespace