﻿Namespace UI.Options

    Public Class OptionDialog

        Private OptionsGeneral As UI.Options.General = Nothing
        Private OptionsConnection As UI.Options.Connection = Nothing
        Private OptionsProxy As UI.Options.Proxy = Nothing
        Private OptionsPurging As UI.Options.Purging = Nothing
        Private OptionsAdvanced As UI.Options.Advanced = Nothing

        Private Sub ActiveOptionView(ByVal SelectedItemText As String)
            Panel1.Controls.Clear()
            If SelectedItemText = "General" Then
                Panel1.Controls.Add(OptionsGeneral)
            ElseIf SelectedItemText = "Connection" Then
                Panel1.Controls.Add(OptionsConnection)
            ElseIf SelectedItemText = "Proxy" Then
                Panel1.Controls.Add(OptionsProxy)
            ElseIf SelectedItemText = "Purging" Then
                Panel1.Controls.Add(OptionsPurging)
            ElseIf SelectedItemText = "Advanced" Then
                Panel1.Controls.Add(OptionsAdvanced)
            End If
        End Sub

        Private Sub SimpleNavigator1_ItemSelected(ByVal sender As Object, ByVal e As PureComponents.ActionSet.Navigators.GroupEventArgs) Handles SimpleNavigator1.ItemSelected
            ActiveOptionView(SimpleNavigator1.SelectedItem.Text)
        End Sub

        Private Sub OptionDialog_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            'Initialize Title
            Me.Text = UI.Base.Common.TitleOptionDialog
            Me.RibbonForm1.Text = UI.Base.Common.TitleOptionDialog

            'Initialize Controls
            OptionsGeneral = New UI.Options.General
            OptionsGeneral.Dock = DockStyle.Fill

            OptionsConnection = New UI.Options.Connection
            OptionsConnection.Dock = DockStyle.Fill

            OptionsProxy = New UI.Options.Proxy
            OptionsProxy.Dock = DockStyle.Fill

            OptionsPurging = New UI.Options.Purging
            OptionsPurging.Dock = DockStyle.Fill

            OptionsAdvanced = New UI.Options.Advanced
            OptionsAdvanced.Dock = DockStyle.Fill

            'Set Initial view
            SimpleNavigator1.SelectedItem = SimpleNavigator1.Items(0)
        End Sub

        Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
            Me.Close()
        End Sub

        Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
            Me.Close()
        End Sub
    End Class

End Namespace